Page MenuHomePhabricator

Bugs and enhancements in visual editor
Closed, InvalidPublic

Description

  • References are not interactively updated/renumbered; refresh of <references />is only triggered when switching to TE or saving.

Should have a possibility to request "validate" or sync.

  • (automatically) Merge duplicate references; or propose to merge (currently tthis is completely manual).

See previous topic.

  • Problem to properly insert text on new Draft or User article.

Works OK in empty article but cloberred on User or Draft namespace because of standard text. Initial template text is easily messed up. The initial template text is more of a handicap than an aid. Both experienced and novel users are impacted.

  • Random <br /> tagsdisturbi g the layout.
  • Automatic convert from external to internal link with VE.

Canonical link building is already working for internal WM links.
External links could also be converted into i ternal link with interwiki prefix instead of full HTTPS URL.

  • Build a VE WP Bibliography list (same as citation interface) without <ref> tags.

Could add an option to create a bilbliographic item (the same way an external reference footnote is made with the automated interface).

Event Timeline

Geertivp created this task.May 13 2019, 5:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2019, 5:08 PM
Geertivp renamed this task from Bugs in visual editor to Bugs and enhancements in visual editor.May 13 2019, 5:21 PM
Geertivp updated the task description. (Show Details)
Geertivp updated the task description. (Show Details)May 13 2019, 5:31 PM

@Geertivp: Hi! It might make sense to split this up into separate tasks, to have one issue per task.
Also, just to make sure, you plan to work on fixing these issues (as you set yourself as assignee)?

@Aklapper : Well, to be honest, I am attending the Wikimedia Hackathon in Prague next weekend. I preferred to create a list of known problems I encountered myself this year while using the VE. I am also new to Phabricator. Adding myself as "Assigned To" was the most easy (interim) way to keep a list of those issues.

This evening I have learned to make an automated "Created Tasks" list. So I do not need to be "Assigned To" any more.

I am not a developer of the VE. But I would like to clearly describe in detail each of those problems. So splitting them up into separate tasks would indeed help. Please help to propose a good way of working in this matter.

@Geertivp Thanks for reporting this! It would indeed be helpful for us if each problem was in a separate task. It makes it easier to keep track of what was already fixed and what is still being worked on.

  • References are not interactively updated/renumbered; only when switching to TE or saving

This is a known issue, only occurring when the reference in question is generated by a template: T52474.

  • Random <br /> tags

This may be T219774 / T215002 (we're not sure if those two tasks are actually about the same problem).

  • VE WP Bibliography (same as citation interface) without <ref> tags.

This might be T95702?


When you have the time, please file tasks with some more details for each of your other points – I don't really understand what those problems might be from the one-line description. Then just mark this task as resolved. Thanks!

Geertivp updated the task description. (Show Details)May 17 2019, 9:59 AM
Geertivp removed Geertivp as the assignee of this task.May 17 2019, 12:28 PM
JTannerWMF added a subscriber: JTannerWMF.

Please tag VisualEditor on the tasks broken out as a result from this ticket

Aklapper closed this task as Invalid.Jul 2 2019, 7:44 AM

@Geertivp: As per the previous comment I am closing this task as invalid. The aforementioned items might be entirely valid, but it's very hard to follow progress in conversations (comments in the task referring to one of the aforementioned items vs comments in the task referring to another of the aforementioned items) plus the status of the task (open vs resolved).
Please split this task into separate tasks and include only one problem per task. Thanks for your understanding!